Delete Follow
curl --request DELETE \
--url https://api.replyke.com/api/v6/:projectId/users/:userId/followimport requests
url = "https://api.replyke.com/api/v6/:projectId/users/:userId/follow"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.replyke.com/api/v6/:projectId/users/:userId/follow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
User Follow Operations
Delete Follow
Unfollow a user
DELETE
/
:projectId
/
users
/
:userId
/
follow
Delete Follow
Remove an existing follow relationship between the authenticated user and the specified user.
Path Parameters
string
required
ID of the user to unfollow
Response
Returns 204 No Content on success with no response body
Error Responses
Invalid User ID - 400 Bad Request
Invalid User ID - 400 Bad Request
{
"error": "Invalid userId",
"code": "follow/invalid-user-id"
}
Self-Unfollow Attempt - 400 Bad Request
Self-Unfollow Attempt - 400 Bad Request
{
"error": "Cannot unfollow yourself",
"code": "follow/self-follow"
}
Not Following - 404 Not Found
Not Following - 404 Not Found
{
"error": "Not currently following this user",
"code": "follow/not-following"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error",
"code": "follow/server-error"
}
Notes
- Removes the follow relationship between the authenticated user and the specified user
- Returns 204 No Content on successful unfollow with no response body
- Cannot unfollow yourself
- Returns 404 if no follow relationship exists
- Rate limiting: 75 requests per 5 minutes

